/**
 * ActRelationshipAccounting2.java
 *
 * File generated from the medication2::ActRelationshipAccounting2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipAccounting2.
 *
 * 
 */

@XmlType(name = "ActRelationshipAccounting")
@XmlEnum
@XmlRootElement(name = "ActRelationshipAccounting2")
public enum ActRelationshipAccounting2 {
	@XmlEnumValue("CHRG")
	CHRG("CHRG"),
	@XmlEnumValue("COST")
	COST("COST"),
	@XmlEnumValue("CREDIT")
	CREDIT("CREDIT"),
	@XmlEnumValue("DEBIT")
	DEBIT("DEBIT");
	
	private final String value;

    ActRelationshipAccounting2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipAccounting2 fromValue(String v) {
        for (ActRelationshipAccounting2 c: ActRelationshipAccounting2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
